GEOS 3.4.2

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes
geos::noding::snapround Namespace Reference

Contains classes to implement the Snap Rounding algorithm for noding linestrings. More...

## Classes
class | HotPixel
| Implements a "hot pixel" as used in the Snap Rounding algorithm. More...
class | MCIndexPointSnapper
| "Snaps" all SegmentStrings in a SpatialIndex containing MonotoneChains to a given HotPixel. More...
class | MCIndexSnapRounder
| Uses Snap Rounding to compute a rounded, fully noded arrangement from a set of SegmentString. More...
class | SimpleSnapRounder
| Uses Snap Rounding to compute a rounded, fully noded arrangement from a set of SegmentStrings. More...

## Detailed Description

Contains classes to implement the Snap Rounding algorithm for noding linestrings.